Page MenuHomePhabricator

Annotations at Wikidev'17
Closed, ResolvedPublic

Description

Type of activity: Pre-scheduled session.
Main topic: Handling wiki content beyond plaintext

The problem

We have a number of proposals on annotations:

and perhaps:

I am proposing to combine these in a single 90-minute session.

Although it would be nice to find a general annotation mechanism capable of both fine-grained annotations, subtitles, and glossaries, I am proposing to split the session into three 30-minute segments to allow for the possibility that the solutions will be unrelated:

  • Annotations / Annotation Service
  • Subtitle translation
  • Glossaries

Wiki: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Annotation
Etherpad: https://etherpad.wikimedia.org/p/devsummit17-annotation

Event Timeline

cscott created this task.Nov 29 2016, 10:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 10:32 PM
Siznax added a subscriber: Siznax.Nov 29 2016, 10:53 PM

I would loop in @brion and @TheDJ from T111651 who have already started thinking about subtitle storage before me. I'm happy to provide input from Translate extension's perspective, though the storage was not my main question.

as we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot, wondering if we have a session owner for this topic?

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.

Lokal_Profil added a comment.EditedJan 9 2017, 5:14 PM

@cscott Is the plan to run this as an unconference session covering the four Annotation related proposals or should each of those be suggested as an unconference?

cscott added a comment.Jan 9 2017, 7:15 PM

@Lokal_Profil and I briefly talked about this between sessions today; I think we'll propose an unconference session tomorrow (Tuesday) and try to get Wikispeech, VE, Content Translation and Translate extension people in the same room to hash all this out.

Lokal_Profil added a comment.EditedJan 9 2017, 10:57 PM

@cscott I added a note to the wall since this was filling up.

Another use case which was mentioned to me was associating particular facts in a text with a citation.

Action items from session:

* Multimedia annotations as first use case

* Anyone starting annotations should at lease use the Open Annotations JSON format, then we can port to a different backend later

* Next year we'll come back and port it to the framework for Multimedia.

@cscott: Are there any actionable items (tasks to create / link?) from this session?
What's left to do in this task before closing as resolved? Thanks in advance!

@cscott: Are there any actionable items (tasks to create / link?) from this session?
What's left to do in this task before closing as resolved? Thanks in advance!

Aklapper assigned this task to cscott.Apr 27 2017, 12:57 PM

https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Annotations#Action_items: lists some items but no idea if they have been/should be turned into tasks. Assinging to @cscott for followup.

Aklapper closed this task as Resolved.Mar 28 2018, 8:30 AM

No replies by @cscott. Hence resolving the task.